# Class Template

java.lang.Object
org.apache.jmeter.gui.action.template.Template

public class Template extends Object
Template Bean

Since:
  2.10

## Constructor Summary

Constructors
Constructor
Description
`Template()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
`String`
`getFileName()`
`String`
`getName()`
`File`
`getParent()`
`boolean`
`isTestPlan()`
`void`
`setDescription(String description)`
`void`
`setFileName(String relativeFileName)`
`void`
`setName(String name)`
`void`
`setParent(File parent)`
`void`
`setTestPlan(boolean isTestPlan)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Template

public Template()

## Method Details

### getName

public String getName()

Returns:
  the name

### setName

public void setName(String name)

Parameters:
  `name` - the name to set

### getFileName

public String getFileName()

Returns:
  the relativeFileName

### setFileName

public void setFileName(String relativeFileName)

Parameters:
  `relativeFileName` - the relativeFileName to set

### getDescription

public String getDescription()

Returns:
  the description

### setDescription

public void setDescription(String description)

Parameters:
  `description` - the description to set

### isTestPlan

public boolean isTestPlan()

### setTestPlan

public void setTestPlan(boolean isTestPlan)

### getParent

public File getParent()

### setParent

public void setParent(File parent)